Page MenuHomeFreeBSD

x11-clocks/wmfishtime
ClosedPublic

Authored by miwi on Nov 27 2015, 10:08 AM.
Tags
None
Referenced Files
F88377771: D4298.diff
Sun, Jul 14, 1:57 PM
Unknown Object (File)
Fri, Jun 28, 5:48 PM
Unknown Object (File)
Tue, Jun 18, 2:39 PM
Unknown Object (File)
Jun 4 2024, 8:54 AM
Unknown Object (File)
Jun 2 2024, 2:00 AM
Unknown Object (File)
May 29 2024, 9:50 PM
Unknown Object (File)
May 9 2024, 4:20 PM
Unknown Object (File)
Apr 26 2024, 2:37 AM
Subscribers
None

Details

Summary
  • Update MASTER_SITES
  • Add optional GTK2 support
  • Add LICENSE
  • Update WWW

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 1315
Build 1320: arc lint + arc unit

Event Timeline

miwi retitled this revision from to x11-clocks/wmfishtime.
miwi updated this object.
miwi edited the test plan for this revision. (Show Details)
miwi added reviewers: mat, bapt.
mat requested changes to this revision.Nov 30 2015, 10:39 AM
mat edited edge metadata.

The summary says "add optional GTK2 support" as it's now the default option, it's badly worded.

x11-clocks/wmfishtime/Makefile
14

When defining LICENSE, you should also define LICENSE_FILE if the license is provided in the source distfile.

33–37

Why not keep using MAKE_ARGS to pass all the flags, instead of patching the Makefile ?

44–47

Is there any point to this change ?

This revision now requires changes to proceed.Nov 30 2015, 10:39 AM
miwi edited edge metadata.
  • Add LICENSE_FILE
  • Restore previous do-install
  • Summary: add optional GTK2 support gets replace with: - Add GTK2 support and make it default.
miwi added inline comments.
x11-clocks/wmfishtime/Makefile
33–37

MAKE_ARGS looks for gcc and friends, patching Makefile allow to build with clang and friends.

x11-clocks/wmfishtime/Makefile
33–42

I'm sorry, I don't understand that. It's a makefile, it's used by make(1), not the compiler.

if you do:

$ cat Makefile
CFLAGS=foo
all:
      @echo ${CFLAGS}
$ make
foo
$ make CFLAGS=bar
bar

The variables in the Makefile get overwritten by the variables passed as arguments.

miwi edited edge metadata.
  • Restore files/patch-Makefile in order to restore MAKE_ARGS as per request.
  • Cleanup post-patch from previous patch
  • Whitespace fixes
x11-clocks/wmfishtime/Makefile
33–42

Whilst I agree, maybe, with the s/1.23/VERSION/ (because nothing says it will or will not be fixed in 1.25) I'm not sure about the gain of running sed twice instead of once on two files.

The reason for patching the version number in both files is because, upstream forgot to bump internal version

fishmon.c
#define VERSION "1.23"

in the manpage links to wrong version:
(from the manpage)

SEE ALSO

http://www.ne.jp/asahi/linux/timecop/

http://www.ne.jp/asahi/linux/timecop/software/wmfishtime-1.23.tar.gz
(original source)

http://freshmeat.net/projects/wmfishtime/

I think thats fine.

In D4298#91111, @miwi wrote:

The reason for patching the version number in both files is because, upstream forgot to bump internal version

I get the reason, what I discuss is yet another change that does nothing.

  • remove that skype thing.. arc is really werid..
mat edited edge metadata.
This revision is now accepted and ready to land.Dec 7 2015, 12:57 PM
This revision was automatically updated to reflect the committed changes.